using System;
using System.Linq;
using System.Collections.Generic;

namespace cetvrti_zadatak
{
    public class AlNaPapir
    {
        static void ispisiCenzuru(char[] sva_slova_niz, char cenzurisano)
        {
            for (int i = 0; i < sva_slova_niz.Length; i++)
            {
                if (sva_slova_niz[i] != cenzurisano)
                {
                    Console.Write(sva_slova_niz[i]);
                }
                else
                {
                    Console.Write("*");
                }
            }
        }

        public static void Main()
        {
            //input
            string sva_slova = Console.ReadLine();
            string ne_sme = Console.ReadLine();

            char[] sva_slova_niz = new char[sva_slova.Length];
            int min = 100000;
            char cenzurisano = 'c';
            int kolikoPuta = 0;

            for (int i = 0; i < sva_slova.Length; i++)
            {
                sva_slova_niz[i] = sva_slova[i];
            }

            for (int i = 0; i < ne_sme.Length; i++)
            {
                if (sva_slova_niz.Contains(ne_sme[i]))
                {
                    int kolko_ima = sva_slova_niz.Count(x => (x == ne_sme[i]));
                    if (kolko_ima < min)
                    {
                        min = kolko_ima;
                        cenzurisano = ne_sme[i];
                    }

                }
            }

            kolikoPuta = min;
            Console.WriteLine(kolikoPuta);
            ispisiCenzuru(sva_slova_niz, cenzurisano);

        }
    }
}